'use strict';

var _minify = require('./minify');

var _minify2 = _interopRequireDefault(_minify);

var _serialization = require('./serialization');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function (options, callback) {
  try {
    var result = (0, _minify2.default)((0, _serialization.decode)(options));
    callback(null, result);
  } catch (errors) {
    callback(errors);
  }
};